DHTNODE(1)

NAME
dhtnode - a simple OpenDHT command line node runner.

SYNOPSIS
dhtnode [-h] [-v [-l logfile] [-L]] [-i [--save-identity file]] [-d] [-s] [-n network_id] [-p local_port] [-b bootstrap_host[:port]] [--certificate file] [--privkey file] [--privkey-password password] [--proxyserver port] [--proxyclient server]

DESCRIPTION
Runs an OpenDHT node, with a CLI (default) or as a daemon (with '-d' or '-s'). Commands available in the interactive shell are:
        h, help    Print this help message.
        q, quit    Quit the program.
        log        Start/stop printing DHT logs.
        Node information:
        ll         Print basic information and stats about the current node.
        ls         Print basic information about current searches.
        ld         Print basic information about currenty stored values on this node.
        lr         Print the full current routing table of this node
        Operations on the DHT:
        b ip:port             Ping potential node at given IP address/port.
        g [key]               Get values at [key].
        l [key]               Listen for value changes at [key].
        p [key] [str]         Put string value at [key].
        s [key] [str]         Put string value at [key], signed with our generated
                              private key.
        e [key] [dest] [str]  Put string value at [key], encrypted for [dest] with
                              its public key (if found).

OPTIONS

-h  Prints some help.

-v  Enable the verbose mode (log to stdout/stderr by default)

-l log_file
    Write log to file instead of stdout/stderr

-L  Write log to syslog instead of stdout/stderr

-i  Generate cryptographic identity for the node.

--save-identity file
    Save generated identity (certificate and private key) to given file prefix.

--certificate file
    Load identity certificate from given file.

--privkey file
    Load identity private key from given file.

--privkey-password password
    Password to use for private key encryption or decryption (optional).

-d  Run the program in daemon mode (will fork in the background).

-s  Run the program in service mode (non-forking daemon).

-D  Enables multicast automatic local peer discovery.

-f file
    Specify a file path to persist/load the node state.

-n network_id
    Specify the network id. This let you connect to distinct networks and prevents the merge of two different networks (available since OpenDHT v0.6.1).

-p local_port
    Use UDP port local_port for the program to bind to.

-b bootstrap_host[:port]
    The program needs to be given a node to connect to the network. You use this option to provide the ip address of that node.

--proxyserver local_port
    Run a proxy server bound to this DHT node on HTTP port local_port

--proxyclient server
    Run this DHT node in proxy client mode, and connect to server

AUTHORS

Program written by

•   Adrien Béraud <adrien.beraud@savoirfairelinux.com>

Man page written by

•   Simon Désaulniers <sim.desaulniers@gmail.com>